Bug 1475040 - [RFE] Director plug-in to collect logs from all Openstack nodes to ease log collection [NEEDINFO]
[RFE] Director plug-in to collect logs from all Openstack nodes to ease log c...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
10.0 (Newton)
All Unspecified
unspecified Severity medium
: Upstream M1
: ---
Assigned To: Alex Schultz
Amit Ugol
: FutureFeature
: 1246653 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 19:03 EDT by Angela Soni
Modified: 2018-05-22 21:54 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jcoufal: needinfo? (apannu)


Attachments (Terms of Use)

  None (edit)
Description Angela Soni 2017-07-25 19:03:55 EDT
Description of problem:

Customer is looking for director plug-in or script which collects sosreports from all the controllers and nodes at a single place instead of manually capturing from respective nodes. This would make log collection easier, esp when we require them multiple times if its a random sporadic issue. 
This request is similar to what we currently have in RHEV as rhev log collector.
Comment 2 Alex Schultz 2017-07-27 16:42:17 EDT
In Pike the upstream merged https://blueprints.launchpad.net/tripleo/+spec/capture-environment-status-and-logs which might cover this request.
Comment 3 Martin Magr 2017-08-21 06:35:35 EDT
From comment #2 it evident, that this feature is already available upstream and properly documented [1].

[1] https://docs.openstack.org/tripleo-docs/latest/install/troubleshooting/troubleshooting-log-and-status-capture.html
Comment 6 Alex Schultz 2017-09-11 15:08:55 EDT
*** Bug 1246653 has been marked as a duplicate of this bug. ***
Comment 7 Jaromir Coufal 2017-09-25 16:05:24 EDT
Hi Angela,

this RFE came late in the cycle to be productized in OSP12. The feature might have landed upstream but for OSP12 we don't have extra QE capacity to test this. We will try to target for OSP13 given it has been already merged.

-- Jarda

Note You need to log in before you can comment on or make changes to this bug.